### Method

# Meta WindowShape to_region

#### Declaration [src]

    MtkRegion*
    meta_window_shape_to_region (
      MetaWindowShape* shape,
      int center_width,
      int center_height
    )

#### Description [src]

Converts the shape to to a MtkRegion using the given width and height for the central scaled region.

#### Parameters

`center_width`

  Type: `int`

  Size of the central region horizontally.

`center_height`

  Type: `int`

  Size of the central region vertically.

#### Return value

Type: `MtkRegion`

A newly created region.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.